%global srcname pyuv

%global sum A Python module which provides an interface to libuv
%global common_desc \
pyuv is a Python module which provides an interface to libuv.\
libuv is a high performance asynchronous networking and platform\
abstraction library.libuv is built on top of epoll/kequeue/event \
ports/etc on Unix and IOCP on Windows systems providing a consistent\
API on top of them.

Name: python-pyuv
Version: 1.4.0
Release: 13%{?dist}
Summary: %{sum}

License: MIT     
URL: https://github.com/saghul/pyuv    
Source0: https://github.com/saghul/pyuv/archive/pyuv-%{version}.tar.gz
Requires: libuv >= 1.7.0
BuildRequires: python3-devel
BuildRequires: python3-nose
BuildRequires: libuv-devel >= 1.7.0
BuildRequires: gcc
BuildRequires: python3-sphinx

%description
%{common_desc}

%package -n  python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{common_desc}

%package doc
Summary: Documentation for %{srcname}

%description doc
%{common_desc}
This package contains documentation in reST and HTML formats.

%prep
%autosetup -n %{srcname}-%{srcname}-%{version}

%build
# Use system-provided libuv
rm -rf deps/
sed -i 's/self.use_system_libuv = 0/self.use_system_libuv = 1/' setup_libuv.py
%py3_build

make -C docs html
mv docs/_build/html/* docs/

%install
%py3_install


%check
# FIXME: Test suite gets stuck in Koji, disabling ...
cd tests/
# TTY test fails in mock
rm -f test_tty.py
export PYUV_INSIDE_TOX=1
export PYTHONPATH=%{buildroot}/%{python3_sitearch}
#nosetests-%{python3_version} -v


%files -n  python3-%{srcname}
%license LICENSE
%doc AUTHORS ChangeLog README.rst TODO
%{python3_sitearch}/*

%files doc
%doc docs


%changelog
* Thu Oct 11 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-13
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-11
- Rebuilt for Python 3.7

* Tue May 15 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-10
- rebuilt

* Mon May 07 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-9
- Drop unused build dependency on tox

* Sun Feb 18 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-8
- Add gcc as BR (minimal buildroot change)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-6
- Disable the test suite since it gets stuck in Koji

* Thu Feb 01 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-5
- Disable the test suite since it gets stuck in Koji

* Wed Jan 31 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-4
- Refactor BRs
- Enable the testsuite

* Mon Jan 29 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4.0-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 15 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0
- Fix setup dir

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-9
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 10 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.2.0-7
- Switch URL to github since pypi has md5 in the url
- Disable the testsuite for now (hangs in koji but ok in mock or rpmbuild)

* Fri Apr 29 2016 Athmane Madjoudj <athmane@fedoraproject.org> 1.2.0-6
- Remove bundled libuv (it was not used anyway)
- Run the testsuite
- Build and ship the doc

* Sat Mar 12 2016 Athmane Madjoudj <athmane@fedoraproject.org> 1.2.0-5
- Update spec to use the new Python guidelines

* Tue Feb 09 2016 Athmane Madjoudj <athmanem@fedoraproject.org> 1.2.0-4
- Fix reqs since pyuv uses uv_tcp_init_ex (new in 1.7.0)

* Tue Feb 09 2016 Athmane Madjoudj <athmanem@fedoraproject.org> 1.2.0-3
- Fix build step

* Tue Feb 09 2016 Athmane Madjoudj <athmanem@fedoraproject.org>  1.2.0-2
- Disable the testsuite since it tries to download pkgs

* Tue Feb 09 2016 Athmane Madjoudj <athmanem@fedoraproject.org> 1.2.0-1
- Initial spec release.

